# QMK Build Container

This container contains everything you need to build QMK, including a pinned version of QMK itself. **Be careful, this container may not use the latest version of QMK.**

## Usage

This container takes two volumes:
 - `/build_output`: QMK binaries are copied here.
 - `/qmk_firmware/keyboards`: QMK keyboard dir. Link this to your code.

```bash
docker run -it \
	--user $(id -u):$(id -g) \
	-v "$(pwd)/output:/build_output" \
	-v "$(pwd)/kb:/qmk_firmware/keyboards:ro" \
	-e QMK_TARGET="betalupi_ergodox:default" \
	git.betalupi.com/mark/qmk
```

## Building

1. Before building, run `git submodule update --init --recursive`.
   - Note that the submodules in this repo are linked to my local mirrors for speed. You'll probably need to update `qmk_cli` and `qmk_firmware` with github links.
2. Checkout whatever version of `qmk_firmware` you need (optional).
3. Run `docker build . -t git.betalupi.com/mark/qmk`