MCU = atmega32u4
BOOTLOADER = halfkay

# Enable raw HID for bi-directional communication
RAW_ENABLE = yes

BOOTMAGIC_ENABLE  = no
MOUSEKEY_ENABLE   = no
EXTRAKEY_ENABLE   = yes
CONSOLE_ENABLE    = no
COMMAND_ENABLE    = no
CUSTOM_MATRIX     = lite
NKRO_ENABLE       = yes
UNICODE_ENABLE    = no
SWAP_HANDS_ENABLE = no
SLEEP_LED_ENABLE  = no
API_SYSEX_ENABLE  = no
MOUSE_SHARED_EP   = no
MAGIC_ENABLE      = no
LEADER_ENABLE     = no
TAP_DANCE_ENABLE  = yes
AUDIO_SUPPORTED   = no
BACKLIGHT_SUPPORTED = no

DEBOUNCE_TYPE = sym_eager_pr

SRC += \
	extra_mappings.c \
	process_record.c \
	hardware/matrix.c \
	hardware/led_i2c.c \
	hardware/maps.c \
	features/beta_rawhid.c \
	features/hid_spellcheck.c \
	features/autocorrect/autocorrect.c \
	features/leader/leader.c

QUANTUM_LIB_SRC += i2c_master.c

LAYOUTS = ergodox

# Link-time optimization.
# Significantly reduces firmware size.
LTO_ENABLE = yes

# Enable keyboard-specific effects
RGB_MATRIX_CUSTOM_KB = yes

# From glow dir
RGB_MATRIX_ENABLE = yes
RGB_MATRIX_DRIVER = is31fl3731
RGBLIGHT_ENABLE = yes
RGBLIGHT_DRIVER = ws2812